Search found 53 matches

by jcf
Fri Feb 24, 2017 1:26 pm
Forum: Path/CAM
Topic: Modify Path to my needs. How?
Replies: 28
Views: 6458

Re: Modify Path to my needs. How?

If you execute the code in the python console you can view the members and their values of the current object. You have probably a Curve and not an Edge. Of course: a circle is a curve and not made of edges :D So what do I do to make a PathProfile? Maybe I have to select another Script like PathFro...
by jcf
Fri Feb 24, 2017 10:27 am
Forum: Path/CAM
Topic: Modify Path to my needs. How?
Replies: 28
Views: 6458

Re: Modify Path to my needs. How?

I have tried to get an edgelist. This works fine for a Rectangle. But with a circle it gives an error: mywire=TechDraw.findShapeOutline(myobj.Shape, 1, Vector(0,0,1)) <class 'Part.OCCError'>: GeometryObject::projectShape - error occurred while projecting shape I am not so much astonished as a circle...
by jcf
Fri Feb 24, 2017 10:09 am
Forum: Path/CAM
Topic: Modify Path to my needs. How?
Replies: 28
Views: 6458

Re: Modify Path to my needs. How?

Thank you, sliptonic! :) Much of the complexity in Path has to do with handling user selections, making guesses at depths, keeping track of tools, etc. Be careful you don't start trying to reinvent all those wheels too. That's effectively something that stresses me a bit for the moment, that I have ...
by jcf
Thu Feb 23, 2017 9:04 am
Forum: Path/CAM
Topic: Modify Path to my needs. How?
Replies: 28
Views: 6458

Re: Modify Path to my needs. How?

Now I can generate a contour path by script. The next step is to attack the profile path. I have looked at the code which seems to be more complex, while part of this complexity lies in guessing the base object as it seems to me. I have not fully understood which kind of object this must be. May it ...
by jcf
Fri Feb 17, 2017 5:30 pm
Forum: Path/CAM
Topic: Modify Path to my needs. How?
Replies: 28
Views: 6458

Re: Modify Path to my needs. How?

Actually my code seems to work! :D I didn't notice because I forgot FreeCAD.ActiveDocument.recompute() at the end. Another thing is that I updated Freecad - daily ton 0.17R10101 The Path module I use is an older one however, can't tell from when. (I wanted to keep this as it had made me nice G code ...
by jcf
Fri Feb 17, 2017 9:31 am
Forum: Path/CAM
Topic: Modify Path to my needs. How?
Replies: 28
Views: 6458

Re: Modify Path to my needs. How?

I have progressed a little bit in understanding the Path scripts. Now I am able to create a path Job object and set my parameters: # -*- coding: utf-8 -*- # Macro for initializing Path Job and setting tool and feed rate import FreeCAD import PathScripts.PathJob as PathJob import PathScripts.PathLoad...
by jcf
Wed Feb 08, 2017 2:38 pm
Forum: Path/CAM
Topic: Getting started with Path in v0.17
Replies: 33
Views: 8444

Re: Getting started with Path in v0.17

I am at the other computer now ( where I have problems ) and just verified the version it is: OS: Linux Mint 17.2 Rafaela Word size of OS: 64-bit Word size of FreeCAD: 64-bit Version: 0.17.9747 (Git) Build type: None Branch: master Hash: f5c0f579cbd7ce668727f8835946e4e9abc0eec6 Python version: 2.7.6...
by jcf
Wed Feb 08, 2017 7:28 am
Forum: Path/CAM
Topic: Modify Path to my needs. How?
Replies: 28
Views: 6458

Re: Modify Path to my needs. How?

Thank you, sliptonic.
That seems to be the information I needed! :D
I'll have a look at it as soon as I can.
by jcf
Wed Feb 08, 2017 7:25 am
Forum: Path/CAM
Topic: Getting started with Path in v0.17
Replies: 33
Views: 8444

Re: Getting started with Path in v0.17

Sorry, I did not mention the version. Could not, as I was sitting in another room with my students writing a test, and my machine far away. While posting this, the situation is the same. I'll try to make some progress documenting my problems ;) -- The good news however is that I tried at home, and t...
by jcf
Tue Feb 07, 2017 3:55 pm
Forum: Path/CAM
Topic: Modify Path to my needs. How?
Replies: 28
Views: 6458

Re: Modify Path to my needs. How?

You'll have to be more specific about what you're looking for. For a start, I have one specific question: When I press the "Create Contour Path" button, where do I go in PathScripts? Where is the entry point? To create a path job, I have done this: obj = FreeCAD.ActiveDocument.addObject(&...